aboutsummaryrefslogtreecommitdiff
path: root/osx/osx-resources/InstallationCheck
diff options
context:
space:
mode:
authorClare Macrae <github@cfmacrae.fastmail.co.uk>2014-06-29 19:22:31 +0100
committerClare Macrae <github@cfmacrae.fastmail.co.uk>2014-06-29 19:22:31 +0100
commit717e16660d1ee83f690b35d0aa9b60c8ac9d6b61 (patch)
treeaa850d4ee99fa0b14da9ba0396ba6aa67e2037e3 /osx/osx-resources/InstallationCheck
parentfccfc8429cf4d002df37977f03508c9aae457416 (diff)
parentce69021e42d7bf50deccba2a52ed4717f6ddac10 (diff)
downloadpandoc-717e16660d1ee83f690b35d0aa9b60c8ac9d6b61.tar.gz
Merge remote-tracking branch 'jgm/master' into dokuwiki
Diffstat (limited to 'osx/osx-resources/InstallationCheck')
-rwxr-xr-xosx/osx-resources/InstallationCheck14
1 files changed, 14 insertions, 0 deletions
diff --git a/osx/osx-resources/InstallationCheck b/osx/osx-resources/InstallationCheck
new file mode 100755
index 000000000..2bd691f5c
--- /dev/null
+++ b/osx/osx-resources/InstallationCheck
@@ -0,0 +1,14 @@
+#!/bin/sh
+cputype=`/usr/sbin/sysctl -n hw.cputype`
+sixtyfourbit=`/usr/sbin/sysctl -n hw.cpu64bit_capable`
+
+if [ "x$cputype" != "x7" ] # x86
+then
+ exit 112
+fi
+
+if [ "x$sixtyfourbit" != "x1" ] # 64 bit
+then
+ exit 113
+fi
+